Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: zfs-linux 0.6.5.9_4.9.6_1-2

Git Clone URL: https://aur-dev.archlinux.org/zfs-linux.git (read-only)
Package Base: zfs-linux
Description: Kernel modules for the Zettabyte File System.
Upstream URL: http://zfsonlinux.org/
Licenses: CDDL
Groups: archzfs-linux
Conflicts: zfs-linux-git, zfs-linux-lts
Provides: zfs
Replaces: zfs-git
Submitter: demizer
Maintainer: demizer
Last Packager: demizer
Votes: 162
Popularity: 3.836862
First Submitted: 2016-04-21 08:45
Last Updated: 2017-02-04 05:29

Pinned Comments

demizer commented on 2017-01-29 21:56

This package cannot be updated for kernel 4.9 until the ZFS on Linux project makes a new stable release that supports kernel 4.9.

See https://github.com/archzfs/archzfs/issues/98#issuecomment-275831181

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

figoool commented on 2016-05-09 14:01

@demizer, so what should we do then? I upgraded my whole system, and if I downgrade linux and linux-headers, I got a lot of other modules failing.

What Can I do to have zfs back?

demizer commented on 2016-05-08 17:21

le sigh


I am going to have to remove the max version. People building straight from the PKGBUILD are going to have to first remove archzfs in order to upgrade it, or use the archzfs repo.

I am going to have to document this someone because I get issues about this all the time.

Sorry everyone.

predmijat commented on 2016-05-08 14:29

Yeah, it will not work with 4.5.2-1-ARCH. How do we handle this? Back when there demz-repo it wouldn't update unless it was ok to do so, but how can I achieve that with this setup?

jstenback commented on 2016-05-08 07:03

No, it appears to not be compatible with linux-4.5.2-1 :(

lnicola commented on 2016-05-07 21:00

Is this really compatible with linux-4.5.2-1?

techmunk commented on 2016-04-26 22:20

Hi,

Can the linux-headers be moved to a make-depends instead of depends?

They shouldn't be required on the target system, only for build.

Thanks.

demizer commented on 2016-04-25 18:55

@GeorgP, fixed! Thanks for the tip!

GeorgP commented on 2016-04-25 13:16

Hello.

Could you add "zfs" to the provides section? There are some packages ("zfs-snap-manager" among others) that require "zfs", which was provided by "zfs-git", but is no longer provided by this package.
Or is there a specific reason why this was dropped?

Thanks a lot for your work!

demizer commented on 2016-04-25 06:34

Hello,

I have a number of breaking changes to report.

The archzfs-git group is dead! It has been renamed to "archzfs-linux"

https://aur.archlinux.org/packages/zfs-linux/#news

See the comments on this page for an explanation as to why.

also, the demz-repo-core repository has been moved to https://wiki.archlinux.org/index.php/Unofficial_user_repositories#archzfs

I am waiting for AUR volunteers to merge this the archzfs-git packages into the archzfs-linux packages.

Sorry for the inconvenience these changes may have caused. I don't anticipate having to do this ever again. These changes will allow me to support more non-standard kernels in the future!

Thanks

demizer commented on 2016-04-25 06:29

Hello,

To use the archzfs repository, see https://wiki.archlinux.org/index.php/Unofficial_user_repositories#archzfs

Please Note:

These packages and repos only support x86_64 architecture.

Thanks